#### D.2.8.5 is_zero

Procedure from library `poly.lib` (see poly_lib).

Usage:
  is_zero(M[,any]); M=poly/ideal/vector/module/matrix

Return:
  integer, 1 if coker(M)=0 resp. 0 if coker(M)!=0, where M is considered as matrix.
  If a second argument is given, return a list:
  L[1] = 1 if coker(M)=0 resp. 0 if coker(M)!=0
  L[2] = dim(M)

Example:

    LIB "poly.lib";
    ring r;
    module m = [x],[y],[1,z];
    is_zero(m,1);
    ==> [1]:
    ==>    0
    ==> [2]:
    ==>    2
    qring q = std(ideal(x2+y3+z2));
    ideal j = x2+y3+z2-37;
    is_zero(j);
    ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.